<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_EquityInvestmentsAndOtherNonCurrentAssets" xlink:label="sanlorenzo_EquityInvestmentsAndOtherNonCurrentAssets" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_OtherReservesAndRetainedEarnings" xlink:label="sanlorenzo_OtherReservesAndRetainedEarnings" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_Outsourcing" xlink:label="sanlorenzo_Outsourcing" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_ProvisionsForRiskAndCharges" xlink:label="sanlorenzo_ProvisionsForRiskAndCharges" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_ProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation" xlink:label="sanlorenzo_ProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:label="sanlorenzo_AdjustmentsForDecreaseIncreaseInContractLiabilities" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_AdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities" xlink:label="sanlorenzo_AdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities" />
    <loc xlink:type="locator" xlink:href="8156006C71E895860132-2023-12-31.xsd#sanlorenzo_OtherChangesInEquity" xlink:label="sanlorenzo_OtherChangesInEquity" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_EquityInvestmentsAndOtherNonCurrentAssets" xlink:to="label_sanlorenzo_sanlorenzoEquityInvestmentsAndOtherNonCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_OtherReservesAndRetainedEarnings" xlink:to="label_sanlorenzo_sanlorenzoOtherReservesAndRetainedEarnings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_Outsourcing" xlink:to="label_sanlorenzo_sanlorenzoOutsourcing_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_ProvisionsForRiskAndCharges" xlink:to="label_sanlorenzo_sanlorenzoProvisionsForRiskAndCharges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_ProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation" xlink:to="label_sanlorenzo_sanlorenzoProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:to="label_sanlorenzo_sanlorenzoAdjustmentsForDecreaseIncreaseInContractLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_AdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities" xlink:to="label_sanlorenzo_sanlorenzoAdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="sanlorenzo_OtherChangesInEquity" xlink:to="label_sanlorenzo_sanlorenzoOtherChangesInEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_sanlorenzo_sanlorenzoEquityInvestmentsAndOtherNonCurrentAssets_Standard" id="sanlorenzo_sanlorenzoEquityInvestmentsAndOtherNonCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Equity investments and other non-current assets</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoOtherReservesAndRetainedEarnings_Standard" id="sanlorenzo_sanlorenzoOtherReservesAndRetainedEarnings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other reserves and retained earnings</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoOutsourcing_Standard" id="sanlorenzo_sanlorenzoOutsourcing_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Outsourcing</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoProvisionsForRiskAndCharges_Standard" id="sanlorenzo_sanlorenzoProvisionsForRiskAndCharges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Provisions for risk and charges</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation_Standard" id="sanlorenzo_sanlorenzoProfitLossFromOperatingActivitiesBeforeAmortisationAndDepreciation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit (loss) from operating activities before amortisation and depreciation</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoAdjustmentsForDecreaseIncreaseInContractLiabilities_Standard" id="sanlorenzo_sanlorenzoAdjustmentsForDecreaseIncreaseInContractLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for decrease (increase) in contract liabilities</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoAdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities_Standard" id="sanlorenzo_sanlorenzoAdjustmentsForIncreaseDecreaseInProvisionsForRisksAndChargesAndEmployeeBenefitLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments for increase (decrease) in provisions for risks and charges and employee benefit liabilities</label>
    <label xlink:label="label_sanlorenzo_sanlorenzoOtherChangesInEquity_Standard" id="sanlorenzo_sanlorenzoOtherChangesInEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other changes in equity</label>
  </labelLink>
</linkbase>